Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005133Dwarf FortressAdventure Mode -- Townpublic2012-02-15 13:052014-07-30 13:53
Reportertotte 
Assigned ToFootkerchief 
PrioritynormalSeveritymajorReproducibilityalways
Statusneeds feedbackResolutionopen 
PlatformOSWindows 7OS Version
Product Version0.34.01 
Target VersionFixed in Version 
Summary0005133: Metal armor does not exist in shops
DescriptionThis has probably already been reported but I coudnt find any other issue. Sorry If I dublicate.

Every single world I have generated metal armor does not exist in shops or market in towns. If there are any Armorsmith shops they are always empty. I find this annoying and its hard to survive and achive goals without metal armor.
TagsNo tags attached.
Attached Files

- Relationships
related to 0005149new Leather shops and cloth shops in towns are always empty 
related to 0005234new No shops in any but largest cities-- and those have no merchandise. 
related to 0005361resolvedFootkerchief Armor shop had nothing but copper boots 
child of 0005611new Cities overwhelmingly build textile industry shops, almost never wood, stone, or metal-related shops 

-  Notes
(0019676)
thvaz (reporter)
2012-02-15 13:39

It is very hard to find any metal dealing shops. I found just one in a very big town.
(0019689)
Eagleon (reporter)
2012-02-15 14:42

Seconded. The only one I found had five armorers, all huddled together in an empty room. Times are sad.
(0019733)
Quietust (reporter)
2012-02-15 19:42

Thirded - after searching through several cities, I found a single armorer's shop that contained about a dozen armorers (human, dwarven, and elven) but not a single item.
(0020038)
Knigel (reporter)
2012-02-18 09:16

I also searched an entire town, finding no armor shop and only one weapon shop. This despite having a wide variety of other shops, including jewelers, bone carvers, leather workers, weaved clothing, food, and stone furniture.
(0020074)
totte (reporter)
2012-02-18 18:04

Genned a world with 550 years of history. Weapon shop appeared in every town and even the metal craft/funiture shops had stuff in them. But no luck in the single armorsmith shop I found. Only tried this once.

I genned a pocket world with 1050 years of history and found some copper boots and leggings in the market at the abandon city.
(0020075)
pialamode (reporter)
2012-02-18 18:22

I can confirm this bug, as all armor shops I've visited in any world never have any armor. You can sell armor to the armor shops perfectly fine, though, and it shows up there.
(0020345)
Khym Chanur (reporter)
2012-02-21 02:45

In 0.34.02 I found a single armor shop... which sold nothing but copper boots.
(0020429)
Pirate Bob (reporter)
2012-02-21 19:23

I also have seen at least 4 empty armor shops, and none with armor.

Additionally, (and possibly related?): ammunition is also very hard to find - it is not sold in weapon or bowyer shops or weaponsmiths. It can occasionally be found in metalsmith's shops, but these are also usually empty like armorsmiths. It can also sometimes be found in small quantities in general imports.

Similarly, backpacks, waterskins, quivers, etc. don't seem to be sold by leatherworkers or easily found anywhere else.
(0020921)
Orkel2 (reporter)
2012-02-29 11:28
edited on: 2012-02-29 11:29

In 34.03 I found not a single armorsmith in a large city, but the city's catacombs were filled with hundreds, if not thousands of copper gauntlets waiting to be looted.

(0020924)
malvado (reporter)
2012-02-29 14:50

I can confirm these finds.
Also it would be nice if some more variety of merchandise was avaibable such as Elven and dwarven Size.
(0020928)
kingpeonidas (reporter)
2012-02-29 17:47

Eleventhed. All of the above statements are true in my experience. There needs to be some kind of an overhaul to the npc metalcrafting mechanics, mabye they should cheat a little bit and get metals from farther away than would actually be realistic, or mabye they should buy metals from the caravans, or mabye they should tell you where metalcrafters are located in the world when you ask them their profession but they have no items to sell.
(0021347)
NW_Kohaku (reporter)
2012-03-10 18:26

Twelfthed, and I have a bug save, as well - http://dffd.wimbli.com/file.php?id=5843 [^]
(0021353)
NW_Kohaku (reporter)
2012-03-11 00:33

Cross-linking this with a more general bug report: 0005611

I have noticed that not just armor, but shops for any product made from metal, stone, and wood are very rare. The shops that do exist have nothing in them, so stone furniture shops have no furniture in them.

The problem seems to be that there simply is no metal, stone, or wood even being harvested in the first place, resulting in no goods being for sale, and no craftsmen/shopkeeps ever spawning in most places.
(0023768)
Pirate Bob (reporter)
2012-12-06 19:41
edited on: 2012-12-06 19:42

After playing adventure mode quite a bit more, I have occasionally found armor shops with armor, cloth shops with cloth, etc. They are quite rare, and easily 90% of them are empty, but they do exist. I think this supports NW_Kohaku's idea that cities aren't properly harvesting resources, but that maybe sometimes if the needed metal(s) are really close to the surface or something they can be used. The results don't even seem to by city-wide, as I've found a shop with armor in the same city as an empty metalcrafter. These results were using a minor mod of bolts, but it should not impact armor (mod=http://dffd.wimbli.com/file.php?id=7202 [^]).

(0023826)
Pirate Bob (reporter)
2013-01-07 19:34

I may have found a workaround for this bug (at least for metal armor). If you use advanced worldgen to set mineral scarcity to 100 (the minimum value) then armor shops seem to have metal armor (at least all the ones I can find so far). There still doesn't seem to be anything in metalcrafter shops.

I think this supports the idea that the problem is that most shops do not find the materials they need in whatever region they search. The obvious solution would be to tweak the search regions for the impacted shops. Weapon shops seem to always have weapons, so if armor and metalcrafters were altered to use the same supply parameters as weapons it seems like that should fix the problem. Then again, this is largely speculation...
(0027892)
Pirate Bob (reporter)
2014-07-29 12:50

In 40.05, I generated a medium world with mineral frequency set to "everywhere" (just the standard world gen, not advanced), and found one armor shop that did have lots of metal armor in it. It appears that this bug may have been fixed in 40.05, but more testing is needed to confirm this. Has anyone else found armor shops in 40.05 that did or did not have armor?

I also found a bowyer shop which was completely empty, consistent with 34.11, so I don't think the problem is totally resolved, but maybe it is better at least for armor?
(0027905)
Footkerchief (manager)
2014-07-29 14:47
edited on: 2014-07-29 14:47

I've seen armor shops containing metal armor, also.

(0027983)
Pirate Bob (reporter)
2014-07-30 13:53

I generated a medium world with default settings (sparse minerals) in the regular (non-advanced) world gen. I visited two large towns (one #, one *), and both had armor shops. The one in the (#) did have armor, while the one in the (*) did not. The town which was (*) fluctuated between (*) and (+) while I was moving around, so it may have been borderline large enough to actually have an armor shop. I tried to visit a third (*), but by the time I got there it had reverted to (+) and most of its shops were abandoned, and I found no armor shop.

I also found a few more bowyers which were completely empty.

I think we can say fairly confidently that this has improved significantly since 34.11, but it doesn't seem to be totally fixed (as I still found at least one armor shop which was empty, as well as several bowyers, which I assume use the same mechanism). It would be very good to have more reports about this, as if it is very rare for armor shops to be empty then maybe that shouldn't be considered a bug, but rather intended behavior? The one empty armor shop I found was in a town which I believe was just raided, so it might make sense for them to have no supplies.

Based on my small sampling, it also appears that armor shops are only likely to be found in large towns (* or #). This kind of makes sense, although I still agree it might be nice if they were more prevalent. Has anyone found armor shops in smaller towns?

- Issue History
Date Modified Username Field Change
2012-02-15 13:05 totte New Issue
2012-02-15 13:39 thvaz Note Added: 0019676
2012-02-15 14:42 Eagleon Note Added: 0019689
2012-02-15 19:42 Quietust Note Added: 0019733
2012-02-17 05:41 Knight Otu Relationship added related to 0005149
2012-02-18 06:57 Footkerchief Relationship added related to 0005234
2012-02-18 09:16 Knigel Note Added: 0020038
2012-02-18 18:04 totte Note Added: 0020074
2012-02-18 18:22 pialamode Note Added: 0020075
2012-02-21 02:45 Khym Chanur Note Added: 0020345
2012-02-21 03:16 Knight Otu Relationship added related to 0005361
2012-02-21 19:23 Pirate Bob Note Added: 0020429
2012-02-22 05:07 Pirate Bob Issue Monitored: Pirate Bob
2012-02-29 11:28 Orkel2 Note Added: 0020921
2012-02-29 11:29 Orkel2 Note Edited: 0020921 View Revisions
2012-02-29 14:50 malvado Note Added: 0020924
2012-02-29 17:47 kingpeonidas Note Added: 0020928
2012-03-10 18:26 NW_Kohaku Note Added: 0021347
2012-03-11 00:33 NW_Kohaku Note Added: 0021353
2012-12-06 19:41 Pirate Bob Note Added: 0023768
2012-12-06 19:42 Pirate Bob Note Edited: 0023768 View Revisions
2012-12-07 03:30 Knight Otu Relationship added child of 0005611
2013-01-07 19:34 Pirate Bob Note Added: 0023826
2014-07-29 12:50 Pirate Bob Note Added: 0027892
2014-07-29 14:47 Footkerchief Note Added: 0027905
2014-07-29 14:47 Footkerchief Assigned To => Footkerchief
2014-07-29 14:47 Footkerchief Status new => needs feedback
2014-07-29 14:47 Footkerchief Note Edited: 0027905 View Revisions
2014-07-30 13:53 Pirate Bob Note Added: 0027983


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker